Subject: Re: [lojban] Names of characters

From: [email-masked]
Date: Mon, 26 Jun 2000 21:25:52 -0400

On Mon, Jun 26, 2000 at 06:40:40PM -0400, Pierre Abbat wrote:
> ! - uebu
> " - lubu
> # - moibu
> $ - rupnu bu
> % - centi bu
> & - joibu
> ' - y'y
> ( - tobu
> ) - toibu
> * - tarci bu
> + - sumji bu
> , - slaka bu
> - - vu'ubu, ni'ubu (those name distinct characters in APL)
> .. - denpa bu
> : = pi'ebu
> / - fi'ubu (or is that ÷?)
> < - mleca bu
> = - dunli bu
> > - zmadu bu
> ? - paubu
> @ - abubu (?)
> [ - kebu
> \ - se'ebu
> ] - ke'ebu
> 
> Comments? Suggestions?

Nice. All those names seem appropriate, and abubu is quite clever.
Of course, there's more characters that need names...

As long as we're being Unixy here (I assume that's where \ - se'ebu came from),
~ could be 'zdani bu'.
` is used for quoting in certain computer languages, but not in Lojban, so it
could be 'zoibu' - does that work? Which has higher precedence, zoi or bu?
^ = te'abu
_ = cnita bu?
| = pagre bu? (the 'pipe' concept in various computer contexts)
{ = kalri bu
} = ganlo bu - I'm not so sure about these - do 'open' and 'close' work here?
; = vaubu

And what is a space called? Is it sepli bu?

Now a question about Lojban in general. When you want to use these concepts in
Lojban, do you have to write out the word, or can you use the symbol? For
example, can I quote with matching "s instead of lu/li'u? What about writing
numbers like 262144?
-- 
Rob Speer